pkgname=gnome-shell-extension-app-hider
pkgver=14
pkgrel=1
pkgdesc="Hide apps in GNOME's app menu."
arch=('any')
url="https://github.com/LynithDev/gnome-app-hider"
license=('GPL3')
depends=('gnome-shell')
source=("https://extensions.gnome.org/extension-data/app-hiderlynith.dev.v14.shell-extension.zip")
sha256sums=('SKIP')

package() {
	cd $srcdir
	local uuid=$(grep -Po '(?<="uuid": ")[^"]*' metadata.json)
	local destdir="$pkgdir/usr/share/gnome-shell/extensions/$uuid"
	install -dm755 "$destdir"

	rm *.zip
	chmod 544 metadata.json
	cp -r * "$destdir"
}
